Numbers:
Description

Supportanfrage

I have some old .plb which was developed in 2.13.2 and I would like to migrate to new ADTF 3.6.0.Is it possible that can I run the old

plb with new adtf version with out any change or is there any tool to convert the old plb to new with out any code change.

Lösung

I'm sorry but there is no support in ADTF3 to load ADTF2 plugins. You need to recreate an ADTF3 plugin containing the filters and

services that you want. While doing so you have to port your implementations to the new API. There is a compatibility library

available that eases the progress (https://support.digitalwerk.net/adtf/v3/adtf_html/page_adtf2_support.html), but we strongly

encourage you to switch to the full featured ADTF3 Filter API (

https://support.digitalwerk.net/adtf/v3/adtf_html/classadtf_1_1filter_1_1flash_1_1c_filter.html#details) and to make your self familiar

with the concepts of ADTF3 (https://support.digitalwerk.net/adtf/v3/adtf_html/page_streaming_architecture.html).

It is also possibly to interconnect ADTF2 instances with ADTF3 via IPC, so you might be able to run your "old" components in a

separate ADTF2 process (https://support.digitalwerk.net/adtf_addons/adtf3-support-toolbox/v3/api/index.html)

Please get back to us with any further questions on how to port your filters and services.

History

#1 - 2020-01-07 14:24 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::FilterSDK

#3 - 2020-01-08 09:55 - hidden

Hi Anil,

I'm sorry but there is no support in ADTF3 to load ADTF2 plugins. You need to recreate an ADTF3 plugin containing the filters and services that you

want. While doing so you have to port your implementations to the new API. There is a compatibility library available that eases the progress (

https://support.digitalwerk.net/adtf/v3/adtf_html/page_adtf2_support.html), but we strongly encourage you to switch to the full featured ADTF3 Filter

API (https://support.digitalwerk.net/adtf/v3/adtf_html/classadtf_1_1filter_1_1flash_1_1c_filter.html#details) and to make your self familiar with the

concepts of ADTF3 (https://support.digitalwerk.net/adtf/v3/adtf_html/page_streaming_architecture.html).

It is also possibly to interconnect ADTF2 instances with ADTF3 via IPC, so you might be able to run your "old" components in a separate ADTF2

process (https://support.digitalwerk.net/adtf_addons/adtf3-support-toolbox/v3/api/index.html)

Please get back to us with any further questions on how to port your filters and services.

Regards,

Martin

#4 - 2020-01-09 10:30 - hidden

- Project changed from Public Support to 9

- Subject changed from Migrating 2.13.2 to 3.6.0 ADTF plb to Using and load plb from ADTF 2.x in ADTF 3.x
- Status changed from In Progress to Customer Feedback Required

- Resolution set to Not Supported Scope

#5 - 2020-01-15 15:13 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#6 - 2020-07-07 16:19 - hidden

- Project changed from 9 to Public Support

- Private changed from Yes to No

#7 - 2020-07-07 16:40 - hidden

- Status changed from To Be Closed to Closed
